classification
Title: llist and scipy.stats conflicts, python segfault
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.5, Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Lluís, r.david.murray
Priority: normal Keywords:

Created on 2016-10-31 21:19 by Lluís, last changed 2018-07-10 15:01 by serhiy.storchaka. This issue is now closed.

Messages (3)
msg279828 - (view) Author: Lluís (Lluís) Date: 2016-10-31 21:19
I'm running this small script that produces a segfault:

https://gist.github.com/anonymous/d24748d5b6de88b31f18965932744211

My python version is Python 3.5.2 (default, Jun 28 2016, 08:46:01) [GCC 6.1.1 20160602] on linux. And running scipy version 0.18.1.

Can someone confirm if this segfaults with other systems ?
msg279830 - (view) Author: Lluís (Lluís) Date: 2016-10-31 21:25
Confirmed with 2.7 as well.
msg279833 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-10-31 21:30
This involves two third party C extensions, so there isn't really anything for us to do here until those projects have taken a look.  If they can identify a CPython bug causing this, then we can do something.
History
Date User Action Args
2018-07-10 15:01:48serhiy.storchakasetstatus: open -> closed
resolution: third party
stage: resolved
2016-10-31 21:30:43r.david.murraysetnosy: + r.david.murray
messages: + msg279833
2016-10-31 21:25:09Lluíssetmessages: + msg279830
versions: + Python 2.7
2016-10-31 21:19:59Lluíscreate